package com.elab.core.async.store;

import com.elab.core.async.RealTaskExecutor;

/**
 * 实时任务执行装饰器
 *
 * @author ： liukx
 * @time ： 2020/8/6 - 14:49
 */
public class TaskExecutorDecoration {

    private Object id;

    private RealTaskExecutor executor;

    public TaskExecutorDecoration(Object id, RealTaskExecutor executor) {
        this.id = id;
        this.executor = executor;
    }

    public Object getId() {
        return id;
    }

    public void setId(Object id) {
        this.id = id;
    }

    public RealTaskExecutor getExecutor() {
        return executor;
    }

    public void setExecutor(RealTaskExecutor executor) {
        this.executor = executor;
    }
}
